aboutsummaryrefslogtreecommitdiff
path: root/etc/rc.d/yppasswdd
diff options
context:
space:
mode:
authorBjoern A. Zeeb <bz@FreeBSD.org>2012-02-17 00:27:48 +0000
committerBjoern A. Zeeb <bz@FreeBSD.org>2012-02-17 00:27:48 +0000
commit9dba179d5e2453efa8e67ee2df13ee86d46ad0d4 (patch)
tree179b25709440fd93c2411bdc340ec3abd53ab5bf /etc/rc.d/yppasswdd
parent1b46c7f83201c70bc284b319a970764d3811e63f (diff)
parenta228e013c3eb1777e8a925bda035261a56437ab5 (diff)
downloadsrc-9dba179d5e2453efa8e67ee2df13ee86d46ad0d4.tar.gz
src-9dba179d5e2453efa8e67ee2df13ee86d46ad0d4.zip
IFC @231845
Sponsored by: Cisco Systems, Inc.
Notes
Notes: svn path=/projects/multi-fibv6/head/; revision=231846
Diffstat (limited to 'etc/rc.d/yppasswdd')
-rwxr-xr-xetc/rc.d/yppasswdd21
1 files changed, 8 insertions, 13 deletions
diff --git a/etc/rc.d/yppasswdd b/etc/rc.d/yppasswdd
index fbb80bcf443a..cc25d9f6b1e0 100755
--- a/etc/rc.d/yppasswdd
+++ b/etc/rc.d/yppasswdd
@@ -11,27 +11,22 @@
. /etc/rc.subr
name="yppasswdd"
-command="/usr/sbin/rpc.${name}"
-start_precmd="yppasswdd_precmd"
+rcvar="nis_yppasswdd_enable"
load_rc_config $name
-rcvar="nis_yppasswdd_enable"
+
+command="/usr/sbin/rpc.${name}"
command_args="${nis_yppasswdd_flags}"
+start_precmd="yppasswdd_precmd"
+
yppasswdd_precmd()
{
local _domain
- if ! checkyesno rpcbind_enable && \
- ! /etc/rc.d/rpcbind forcestatus 1>/dev/null 2>&1
- then
- force_depend rpcbind || return 1
- fi
- if ! checkyesno nis_server_enable && \
- ! /etc/rc.d/ypserv forcestatus 1>/dev/null 2>&1
- then
- force_depend ypserv || return 1
- fi
+ force_depend rpcbind || return 1
+ force_depend ypserv nis_server || return 1
+
_domain=`domainname`
if [ -z "$_domain" ]; then
warn "NIS domainname(1) is not set."